<?php

define("DEFAULTFLAG", 0);
define("HTMLSAFE", 1000001);
define("HTMLFORMSAFE", 1000002);
define("ICONMENUSIZE", 1000003);
define("NOEXT", 1000004);
define("TIMESTAMP", 1000101);
define("PRETTYDATE", 1000102);
define("SHORTDATE", 1000103);
define("BOOLEANDB", 1000201);

define("AUTOQUEUES", 1000301);
define("QUEUETYPE_AUTO", "auto");
define("QUEUETYPE_USER", "user");
define("QUEUETYPE_YEAR", "year");

define("PRETTYSIZE", 1000401);
define("FORCE", 1000501);
define("LOGDISPLAY", 1000601);
define("ARTURL", 1000701);
define("PRETTYLENGTH", 1000801);

const VALID_QUEUE_TYPES = array("auto", "user", "year");

// Not really constants, but useful golbally.
$extbymimetypes = array(
   'image/jpeg' => 'jpg',
   'image/png' => 'png',
   'image/gif' => 'gif'
);

$artbygenre = array(
   'Christmas' => 'Christmas.jpg',
   'Classical' => 'Classical.jpg',
   'Comedy - Misc' => 'Comedy.jpg',
   'Country' => 'Country.jpg',
   'Dance - Techno' => 'Dance.jpg',
   'Hard Rock - Metal' => 'HardRock.jpg',
   'Incoming' => 'Incoming.jpg',
   'Jazz-Blues' => 'Jazz.jpg',
   'Lite' => 'Lite.jpg',
   'RnB-Rap' => 'Rap.jpg',
   'Rock' => 'Rock.jpg',
   'Soundtracks' => 'Soundtracks.jpg'
);

?>
